# Uses of Enum
org.globus.gsi.GSIConstants.DelegationType

Packages that use GSIConstants.DelegationType
Package
Description
org.globus.gsi
This package conatins the basic security constructs used to build Globus security.
org.globus.gsi.bc
org.globus.gsi.gssapi
The Java GSI library is an implementation of the Java GSS-API.

## Uses of GSIConstants.DelegationType in org.globus.gsi

Methods in org.globus.gsi that return GSIConstants.DelegationType
Modifier and Type
Method
Description
`static GSIConstants.DelegationType`
GSIConstants.DelegationType.`get(int code)`
`static GSIConstants.DelegationType`
GSIConstants.DelegationType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static GSIConstants.DelegationType[]`
GSIConstants.DelegationType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of GSIConstants.DelegationType in org.globus.gsi.bc

Methods in org.globus.gsi.bc with parameters of type GSIConstants.DelegationType
Modifier and Type
Method
Description
`X509Credential`
BouncyCastleCertProcessingFactory.`createCredential(X509Certificate[] certs, PrivateKey privateKey, int bits, int lifetime, GSIConstants.DelegationType delegType)`
Creates a new proxy credential from the specified certificate chain and a private key, using the given delegation mode.
`X509Credential`
BouncyCastleCertProcessingFactory.`createCredential(X509Certificate[] certs, PrivateKey privateKey, int bits, int lifetime, GSIConstants.DelegationType delegType, X509ExtensionSet extSet)`
Creates a new proxy credential from the specified certificate chain and a private key, using the given delegation mode.
`X509Credential`
BouncyCastleCertProcessingFactory.`createCredential(X509Certificate[] certs, PrivateKey privateKey, int bits, int lifetime, GSIConstants.DelegationType delegType, X509ExtensionSet extSet, String cnValue)`
Creates a new proxy credential from the specified certificate chain and a private key, using the given delegation mode.
`static GSIConstants.CertificateType`
BouncyCastleCertProcessingFactory.`decideProxyType(X509Certificate issuerCert, GSIConstants.DelegationType delegType)`
Given a delegation mode and an issuing certificate, decides an appropriate certificate type to use for proxies

## Uses of GSIConstants.DelegationType in org.globus.gsi.gssapi

Fields in org.globus.gsi.gssapi declared as GSIConstants.DelegationType
Modifier and Type
Field
Description
`protected GSIConstants.DelegationType`
GlobusGSSContextImpl.`delegationType`